{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}

{% block htmlData %}
    <script src='{% static "js/adminStuff.js" %}'></script>
    <div class="w3-row">
        <div class="">
            {% if errorText %}
                <div class="w3-panel w3-red w3-display-container w3-margin w3-padding">
                    <span onclick="this.parentElement.style.display='none'" class="w3-button w3-large w3-display-topright">&times;</span>
                    <h3>Warning!</h3>
                    <p>{{ errorText }}</p>
                </div>            
            {% endif %}
        
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-globe fa-lg"></i> {% trans 'Admins' %} </a>
                <a class="w3-button w3-blue"  style='text-decoration: none;' href="/manage"><i class="fas fa-reply-all fa-lg "></i> {% trans 'Back to Manage' %}</i></a>
            </div> 
            
            <div class='tab' id='admins'>
                    <div class="w3-responsive">
                        <table class="w3-table-all">
                        <tr class="w3-blue">
                            <th>{% trans 'domainName' %}</th>
                            <th>{% trans 'Firstname' %}</th>
                            <th>{% trans 'Lastname' %}</th>
                            <th>{% trans 'Login' %}</th>
                            <th>{% trans 'Enabled' %}</th>
                            <th></th>
                            <th></th>
                            <th></th>
                        </tr>
                                               
                        {% for admin in Admins %}
                            <tr>
                                <td> {{ admin.domainName }} </td>
                                <td> {{ admin.firstname|default_if_none:"" }} </td>
                                <td> {{ admin.lastname }} </td>
                                <td> {{ admin.login }} </td>
                                <td>
                                    {% if admin.enable == 'True' %}
                                        <i class="far fa-check-square fa-lg"></i>
                                    {% else %}
                                        <i class="far fa-square fa-lg"></i>
                                    {% endif %}
                                </td>
                                
                                
                                <td>  <a href="javascript:editAdmin('{{ admin.uuid }}', '{{ admin.domainUuid }}' , '{{ token }}')" title="{% trans 'Edit' %}"> <i class="far fa-edit fa-lg"></i></a></td>
                                <td>  <a href="javascript:resetPasswd('{{ admin.uuid }}', '{{ admin.domainUuid }}', '{{ admin.login }}')"  title="{% trans 'Reset password' %}"> <i class="fas fa-key fa-lg"></i> </a></td>
                                <td> 
                                    {% if domain.displayname != "global.virt" %}
                                        <a href="/manage/admins/delete/{{ admin.domainUuid }}/{{ admin.uuid }}" title="{% trans 'Delete' %}"> <i class="fas fa-trash fa-lg" style="color: red;" ></i><a>
                                    {% endif %}        
                                </td>
                               
                                
                            </tr>    
                        {% endfor %}
                        <tr>
                            <td colspan='8'>
                                <button class="w3-button w3-green w3-round-large" onclick="document.getElementById('addAdmin').style.display='block'">  <i class="fas fa-plus-circle fa-lg"></i> {% trans 'addAdmin' %} </button>
                            </td>
                        </tr> 
                        </table>
                    </div>
                </div>
        </div>
    </div>
    
    <!-- Add New Domain Admin -->
    <div id="addAdmin" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
        <div class="w3-center"><br>
            <span onclick='cancelAddAdmin()' class="w3-button w3-xlarge w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
        </div>

        <form class="w3-container" method="POST" action="/manage/admins/add">
        {% csrf_token %}
        <div class="w3-section">
            <label><b>{% trans 'domainName' %}</b></label>
            <select class="w3-select w3-border w3-margin-bottom" name='domain' id='domain'>
                <option value='0'> {% trans 'Choose' %}</option>
                {% for domain in Domains %}
                   <option value='{{ domain.uuid }}'> {{ domain.displayname }} </option>                
                {% endfor %}

            </select>
        
            <label><b>{% trans 'Firstname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Firstname" name="firstname">
          
            <label><b>{% trans 'Lastname' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Lastname" name="lastname" required>
          
            <label><b>{% trans 'Login' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Login" name="login" required>
            
            <label><b>{% trans 'Password' %}</b></label>
            <input class="w3-input w3-border w3-margin-bottom" type="text"   placeholder="Password" name="passwd" required>
            
            <label><b>{% trans 'Enabled' %}</b> </label>
            <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  name="enable" value="True" checked>
          
            <input class="w3-check w3-border w3-margin-bottom" type="hidden"  name="role" value="domain">
          <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
        </div>
      </form>

      <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
        <button onclick='cancelAddAdmin()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
      </div>

    </div>
  </div> 
    
    
    
    <!-- Edit existing Domain Admin-->
    <div id="editAdmin" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:600px">
  
                <div class="w3-center"><br>
                    <span onclick='cancelEditAdmin()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
                </div>

                <form class="w3-container"  method="POST"  action="/manage/admins/update">
                {% csrf_token %}
                <div class="w3-section">
                    <label><b>{% trans 'Firstname' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   id='editFirstname'  value='' name="firstname">
                
                    <label><b>{% trans 'Lastname' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   id='editLastname' value='' name="lastname" required>
                
                    <label><b>{% trans 'Login' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   id='editLogin' value='' name="login" required readonly>
                    
                    <label><b>{% trans 'Enabled' %}</b> </label>
                    <input class="w3-check w3-border w3-margin-bottom" type="checkbox"  id='editEnable' name="enable" value="True" >
                
                    <input class="w3-input w3-border " type="hidden"  name='domain' id='editDomain' value=''>
                    <input class="w3-input w3-border " type="hidden"  name='uuid' id='editUuid' value=''>
                <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
                </div>
            </form>

            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick='cancelEditAdmin()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
            </div>

        </div>
    </div>
    
    <!-- Edit existing Domain Admin-->
    <div id="resetPasswd" class="w3-modal">
        <div class="w3-modal-content w3-card-4 w3-animate-zoom" style="max-width:400px">
  
            <div class="w3-center"><br>
                <span onclick='cancelResetPasswd()' class="w3-button w3-xlarge w3-round w3-transparent w3-display-topright" title="{% trans 'Close' %}">×</span>
            </div>

            <form class="w3-container"  method="POST"  action="/manage/admins/resetpwd">
            {% csrf_token %}
                <div class="w3-section">
                
                    <label><b>{% trans 'Password' %}</b></label>
                    <input class="w3-input w3-border w3-margin-bottom" type="text"   id='resetPwd' value='' name="passwd" required>

                    <input class="w3-input w3-border " type="hidden"  name='login' id='resetLogin' value=''>
                    <input class="w3-input w3-border " type="hidden"  name='domain' id='resetDomain' value=''>
                    <input class="w3-input w3-border " type="hidden"  name='uuid' id='resetUuid' value=''>
                    
                <button class="w3-button w3-block w3-green w3-section w3-padding" type="submit">{% trans 'Submit' %}</button>
                </div>
            </form>

            <div class="w3-container w3-border-top w3-padding-16 w3-light-grey">
                <button onclick='cancelResetPasswd()' type="button" class="w3-button w3-red">{% trans 'Cancel' %}</button>
            </div>

        </div>
    </div>
     
    
    
{% endblock %}
